"""Main reactive charm layer for etckeeper."""
from lib_charm_etckeeper import EtcKeeper
from charmhelpers.core import hookenv
from charms.reactive import when_not, when

helper = EtcKeeper()


@when_not('apt.installed.etckeeper')
def installing_etckeeper():
    """Update status to reflect install of etckeeper."""
    hookenv.status_set('maintenance', 'Installing etckeeper')


@when('apt.installed.etckeeper')
def configure_etckeeper():
    """Verify configuration."""
    helper.configure()
